# List data catalog versions (/docs/reference/Rest-API/api-docs/data-catalogs/getDataCatalogVersions)


{/* This file was generated by Fumadocs. Do not edit this file directly. Any changes should be made by running the generation command again. */}

## GET /v2/organizations/{organizationid}/data-catalogs/{catalogid}/versions

`GET https://api.verdocs.com/v2/organizations/{organizationid}/data-catalogs/{catalogid}/versions`

### Path parameters

- `organizationid` (string, required)
- `catalogid` (string, required)

### Responses

#### 200: Success

Content type `application/json`.

Type: `IDataCatalogVersion[]`

- `catalog_id` (string, required): The catalog it belongs to.
- `created_at` (string, required): When it was released.
- `entries` (string, required): The catalog's live entries when the version was released.
- `id` (string, required): The version's ID.
- `notes` (string, required): What changed in this version.
- `released_by` (string, required): The profile that released it.
- `version` (integer, required): The version number, starting at 1.

#### 400: Request Error

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 401: Access Denied

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 404: Not Found

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

#### 406: Invalid Parameter

Content type `application/json`.

- `status` (string, required): Always set to "ERROR". One of: `"ERROR"`.
- `error` (string, required): Description of the error that occurred.

### Example request

```bash
curl -X GET "https://api.verdocs.com/v2/organizations/ORGANIZATIONID/data-catalogs/CATALOGID/versions" \
    -H "Authorization: Bearer ACCESS_TOKEN" \
    -H "content-type: application/json" \
    -d '{"param": "value"}'
```
